Note: There are a few cases of duplicates in user autocompletion which are being worked on.
Last Comment Bug 1320341 - Panels reappear when parent window miniaturized
: Panels reappear when parent window miniaturized
Status: VERIFIED FIXED
tpi:+
:
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: unspecified
: All Mac OS X
P3 normal (vote)
: mozilla53
Assigned To: Neil Deakin (not available until Aug 9)
:
: Markus Stange [:mstange]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-25 08:00 PST by Neil Deakin (not available until Aug 9)
Modified: 2017-03-06 06:53 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
minimizepopup-mac (1.13 KB, patch)
2016-11-25 08:00 PST, Neil Deakin (not available until Aug 9)
no flags Details | Diff | Splinter Review
Don't show popup when parent minimized (1.20 KB, patch)
2016-12-19 11:31 PST, Neil Deakin (not available until Aug 9)
mstange: review+
Details | Diff | Splinter Review

Description User image Neil Deakin (not available until Aug 9) 2016-11-25 08:00:46 PST
Created attachment 8814445 [details] [diff] [review]
minimizepopup-mac

Create a window that opens a noautohide panel:

<button label="Open" type="panel">
  <panel noautohide="true">
    <label value="OK"/>
  </panel>
</button>

Steps:
 1. Open the panel.
 2. Miniaturize the window.

The panel gets reshown even after it was miniaturized. Similarly, hiding the window with Command+H will keep the popup onscreen.

Windows and Linux hide the panel when the window is minimized. Sometimes it does stay hidden on Mac, but usually it does not.
Comment 1 User image Markus Stange [:mstange] 2016-11-29 18:05:46 PST
Comment on attachment 8814445 [details] [diff] [review]
minimizepopup-mac

Hmm, I'm not convinced that this is doing what you think it's doing. This only stops the content view inside the popup window from being visible within the window. But if we get to that place in the code, then the window itself will still be shown (it might just be empty). I think you need to move the check to a different place in this function.
Comment 2 User image Neil Deakin (not available until Aug 9) 2016-12-19 11:31:04 PST
Created attachment 8820004 [details] [diff] [review]
Don't show popup when parent minimized

I'm not sure I understand the comment above, did you mean just move the check outside the mPopupContentView check? I also added a nativeParentWindow is not null clause.
Comment 3 User image Markus Stange [:mstange] 2016-12-21 05:24:41 PST
Comment on attachment 8820004 [details] [diff] [review]
Don't show popup when parent minimized

Review of attachment 8820004 [details] [diff] [review]:
-----------------------------------------------------------------

Oops, not sure what I was thinking when I wrote that comment. Your last patch was correct, too. But I prefer this one.
Comment 4 User image Neil Deakin (not available until Aug 9) 2016-12-22 08:07:27 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/91aae4f355330df6dcd68319ef831e5ef0fd8153
Bug 1320341, don't show a panel when the parent window is miniaturized or hidden, r=mstange
Comment 5 User image Wes Kocher (:KWierso) 2016-12-22 18:41:24 PST
https://hg.mozilla.org/mozilla-central/rev/91aae4f35533
Comment 6 User image Brindusa Tot[:brindusat] 2017-03-06 06:53:24 PST
Verified as fixed on latest Aurora 53.0a2 and latest Nightly 54.0a1 on Mac OS X 10.10. Tested the scenario from bug 1325076.

Note You need to log in before you can comment on or make changes to this bug.